#
# spec file for package iucode-tool
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           iucode-tool
Version:        2.1.2
Release:        1.1
Summary:        A program to manipulate Intel microcode update collections
License:        GPL-2.0
Group:          System/Boot
Url:            https://gitlab.com/iucode-tool/iucode-tool
Source:         %{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %{ix86} x86_64

%description
iucode_tool is a program to manipulate microcode update collections for
Intel® i686 and X86-64 system processors, and prepare them for use by the
Linux kernel.

%prep
%setup -q

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING README
%{_sbindir}/iucode_tool
%{_mandir}/man8/iucode_tool.8%{ext_man}

%changelog
* Fri Mar 24 2017 mpluskal@suse.com
- Update to version 2.1.2:
  * iucode_tool: skip small files as if empty in the -tr loader
  * iucode_tool: silence a harmless -Wmissing-field-initializers warning
  * iucode_tool: compare payloads of similar (not just duplicate) MCUs
  * intel-microcode: validade xx_intel_ucode_check_uc() parameters
  * Ready for release: v2.1.2
* Sat Jan 14 2017 mpluskal@suse.com
- Update to version 2.1.1 (boo#1019946):
  * intel_microcode: fix heap buffer overflow on -tr loader
  * intel_microcode, iucode_tool: track buffer sizes when iterating
  * intel_microcode: forbid unknown buffer sizes in intel_ucode_check_microcode()
  * intel_microcode, iucode_tool: no more magic 1024 constants
  * intel_microcode: harden intel_ucode_scan_for_microcode()
  * intel_microcode, iucode_tool: enhance microcode scan API
  * spelling fixes to comments, messages and docs
  * update copyright dates to 2017
  * Ready for release: v2.1.1
  * ChangeLog, NEWS: add CVE-2017-0357
* Thu Nov 24 2016 mpluskal@suse.com
- Update to version 2.1:
  * iucode_tool: prepare for early-initramfs size minimization
  * iucode_tool: add command line option to minimize early initramfs size
  * iucode_tool(8): document --mini-earlyfw and --normal-earlyfw
  * iucode_tool: cosmetic error path cleanup for write_cpio_header()
  * iucode_tool: alternative bug-workaround for the early initramfs
  * intel_microcode: constify and restyle function prototypes
  * iucode_tool: constify function paramenters
  * Makefile.am: ship CONTRIBUTING in the tarball
  * Ready for release: v2.1
* Mon Aug 29 2016 mpluskal@suse.com
- Update to version 1.6.1:
  * iucode_tool: fix another downgrade+loose date filter corner case
  * iucode_tool: use pfm for pf_mask in structures
  * iucode_tool: warn of shadowed microcode in downgrade mode
  * iucode_tool(8): document warning when downgrade mode fails
  * iucode_tool: fix failsafe for --enable-cpuid-device
  * Ready for release: v1.6
  * iucode_tool: constify argp parser information
  * iucode_tool(8): update Linux notes for up to v4.6
  * iucode_tool(8): minor fix to a comment
  * iucode_tool: don't close input files twice
  * iucode_tool: stop allocating twice the required memory for a bundle
  * iucode_tool: append microcode bundles to linked list in O(1)
  * Ready for release: v1.6.1
* Tue Sep 22 2015 fvogt@suse.com
- Initial commit
